<?php
//require_once "Slim/Slim.php";
require_once "vendor/autoload.php";

\Slim\Slim::registerAutoloader();

$app = new \Slim\Slim(array(
						
						'host'=>'localhost',
						'user'=>'user',
						'pass'=>'pass',
						'db'=>'dbname',
						
						'mode'=>'test',
						'debug'=>TRUE,
						
						/*'templates.path'=>'t',*/
						'cookies.encrypt'=>TRUE,
						'cookies.lifetime'=>'20 minutes',
						'cookies.path'=>'/',
						'cookies.domain'=>'slim.loc',
						'cookies.secure'=>FALSE,
						'cookies.httponly'=>TRUE,
						'cookies.secret_key'=>'key',
						'cookies.cipher'=>'cipher',
						'cookies.cipher_mode'=>'mode'
						
						));
						

$app->configureMode('development', function() use($app){
	////
	$app->config(array(
					'debug'=>TRUE,
					'templates.path'=>'templates',
					));		
});

$app->configureMode('test', function() use($app){
	
	
	$app->config(array(
					'debug'=>FALSE,
					'templates.path'=>'templ',
					));
	//////
});

						
						
/*$app->config(array(
					'templates.path'=>'templates2',
					'imgwidth'=>'100'
					));		*/

echo '<pre>';					
var_dump($app->config('user'));								
echo '</pre>';

$app->get('/article',function () use($app) {
	
	echo 'world';
});


$app->run();



?>